class Reports::CommissionController < BaseReportController
  # authorize_resource :class => false

  def index
    from_date, to_date  = get_date_range_from_params

    commissioner = params[:commissioner].to_i
    @com_id = commissioner
    @commissioner = Commissioner.active

    @transaction = ProductCommission.get_transaction(from_date, to_date, commissioner)

    @from       = from_date
    @to         = to_date
    # get printer info
    @print_settings = PrintSetting.get_precision_delimiter()
    respond_to do |format|
      format.html
      format.xls
    end
  end

  def show
    from, to  = get_date_range_from_params

    @sale_data = Sale.get_by_shift_sale(from,to,Sale::SALE_STATUS_COMPLETED)

    date_arr = Array.new
    @sale_data.each do |sale|
      local_opening_date = sale.opening_date.nil? ? '-' : sale.opening_date.strftime("%e %b %I:%M%p")
      local_closing_date = sale.closing_date.nil? ? '-' : sale.closing_date.strftime("%e %b %I:%M%p")
      opening_date = sale.opening_date.nil? ? '-' : sale.opening_date.utc
      closing_date = sale.closing_date.nil? ? '-' : sale.closing_date.utc
      shift_id = sale.id.nil? ? '-' : sale.id
      str = {:shift_id => shift_id, :local_opening_date => local_opening_date, :local_closing_date => local_closing_date, :opening_date => opening_date, :closing_date => closing_date}
      date_arr.push(str)
    end

    out = {:status => 'ok', :message => date_arr}

    respond_to do |format|
      format.json { render json: out }
    end
  end

end
